aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-misc/omorfi
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/omorfi')
-rw-r--r--sci-misc/omorfi/ChangeLog8
-rw-r--r--sci-misc/omorfi/Manifest4
-rw-r--r--sci-misc/omorfi/metadata.xml11
-rw-r--r--sci-misc/omorfi/omorfi-0.1_alpha.ebuild31
4 files changed, 54 insertions, 0 deletions
diff --git a/sci-misc/omorfi/ChangeLog b/sci-misc/omorfi/ChangeLog
new file mode 100644
index 000000000..6ff716536
--- /dev/null
+++ b/sci-misc/omorfi/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-misc/omorfi
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*omorfi-0.1_alpha (24 Dec 2007)
+
+ 24 Dec 2007; Flammie Pirinen <flammie@gentoo.org> +omorfi-0.1_alpha.ebuild:
+ Initial import.
diff --git a/sci-misc/omorfi/Manifest b/sci-misc/omorfi/Manifest
new file mode 100644
index 000000000..e74f3f091
--- /dev/null
+++ b/sci-misc/omorfi/Manifest
@@ -0,0 +1,4 @@
+DIST omorfi-0.1-alpha.tar.bz2 110111 RMD160 84ab308595cb3f0fe3621bb1ed274b592f086eb6 SHA1 0e542c991dbbe1b61f7596863d23c03928f40319 SHA256 6f4149f980fcb5075f8fb40bee107b7b5359070fa0694c73e2f7a96951966c5e
+EBUILD omorfi-0.1_alpha.ebuild 689 RMD160 131ad2f45bfddb7b4366aa7407cf03495dde5010 SHA1 304fe8d076c132d96ae37a736995076e08c44222 SHA256 a10e78c373424ebc746309aa0b8de2862505cc1ebba9c200daf127626f2f752a
+MISC ChangeLog 245 RMD160 7d2348995486f6587998962b9a51da7e8a342266 SHA1 00df8e7cb56cf927d0296f839a1a7f08c17d7b3f SHA256 eed5b2bcbc8aa5535b6b1b91a485458c6c5d77dc8c94c9465a34e87180c35348
+MISC metadata.xml 352 RMD160 4eb1b67e9342c55592054f44b86e2fb7a9b42f86 SHA1 87ea3b924ef0ecad8f858851502860d6be661e92 SHA256 dd48292e4bb6b0fbdb7c830863dd5d5455d044a06701706473e407e9d6edcf86
diff --git a/sci-misc/omorfi/metadata.xml b/sci-misc/omorfi/metadata.xml
new file mode 100644
index 000000000..93e8de63d
--- /dev/null
+++ b/sci-misc/omorfi/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>flammie@gentoo.org</email></maintainer>
+<longdescription lang="en">
+ Omorfi is a free open source implementation of Finnish word form
+ morphology.
+</longdescription>
+</pkgmetadata>
+
diff --git a/sci-misc/omorfi/omorfi-0.1_alpha.ebuild b/sci-misc/omorfi/omorfi-0.1_alpha.ebuild
new file mode 100644
index 000000000..8aea631da
--- /dev/null
+++ b/sci-misc/omorfi/omorfi-0.1_alpha.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P="${PN}-${PV/_alpha/-alpha}"
+
+DESCRIPTION="Open morphology for Finnish language"
+HOMEPAGE="http://gna.org/projects/omorfi"
+SRC_URI="http://download.gna.org/omorfi/${MY_P}.tar.bz2"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+DEPEND=">=sci-misc/kotus-sanalista-1
+ dev-java/saxon
+ sci-misc/sfst"
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ econf || die "configure failed"
+ emake -j1 || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ dodoc AUTHORS ChangeLog README README.fi THANKS || die "docs missing"
+}